/* mkstr.c */

#include <stdio.h>
#include <stdlib.h>

void output_string(char * str)
{
  if (str) {
    while (*str != '\0') {
      if (*str == '\\') printf("\\\\");
      else if (*str == '\"') printf("\\\"");
      else putchar(*str);
      str++;
    }
  }
}

int main(int argc, char * argv[])
{
  char buf[200];

  printf("static char * %s =", argv[1]);
  while (fgets(buf, 200, stdin) != NULL) {
    if (*buf != '\0') buf[strlen(buf) - 1] = '\0';
    printf("\n\"");
    output_string(buf);
    printf("\\n\"");
  }
  printf(";\n");

  exit (0);
}

/* End of program */
